/*
 * (C) Copyright IBM Corporation 2003, 2016.
 * (C) Copyright HCL Technologies Limited 2016, 2017.
*/
/*
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA

 Author: IBM Corporation and/or HCL Technologies Ltd.
 This module is part of the IBM (R) Rational (R) ClearCase (R)(*)
 Multi-version file system (MVFS).
 For support, please visit http://www.ibm.com/software/support

 * ClearCase is a trademark of IBM Corporation, registered in many
   jurisdictions, and is used under license.
*/

#include <linux/version.h>

#if LINUX_VERSION_CODE > KERNEL_VERSION(2,6,32)
#include <generated/autoconf.h>
#else
#include <linux/autoconf.h>
#endif

#include <linux/module.h>

/* common Linux headers */
#include <linux/mount.h>        /* Was included by <linux/dcache.h> */
#include <linux/pagemap.h>      /* Was included by <linux/locks.h> */
#include <linux/namei.h>        /* Has stuff that was in <linux/fs.h> e.g. LAST_NORM */
#include <linux/vmalloc.h>
#include <linux/sched.h>
#include <linux/file.h>
#include <linux/poll.h>
#include <linux/types.h>

/* smp_lock.h removed on 2.6.37 */
#if LINUX_VERSION_CODE <= KERNEL_VERSION(2,6,36)
#include <linux/smp_lock.h>
#endif
#include <linux/ctype.h>        /* For isdigit and toupper. */
#include <asm/bitops.h>
#include <asm/page.h>
#if LINUX_VERSION_CODE < KERNEL_VERSION(3,4,0)
#include <asm/system.h>
#endif
#include <linux/list.h>
#include <linux/dcache.h>
#include <linux/dirent.h>
#include <linux/fs.h>
#include <linux/in.h>
#include <linux/quotaops.h>
#include <linux/sched.h>
#include <linux/time.h>
#include <linux/uio.h>
#include <linux/sunrpc/auth.h>
#include <linux/sunrpc/clnt.h>
#include <linux/sunrpc/xprt.h>
#include <linux/wait.h>
#include <asm/param.h>
#include <asm/processor.h>
#include <linux/semaphore.h>
#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
#include <linux/fs_struct.h>
#endif

/* common adapter headers */
#include "mvfs_mdki.h"
#include "mvfs_vnode.h"
#include "mvfs_linux_only.h"
/* $Id: 9982ce27.aec411e7.95c0.44:37:e6:71:22:3b $ */
